Skip to main content
POST
/
v1
/
post_mortem_templates
Creates a retrospective template
curl --request POST \
  --url https://api.rootly.com/v1/post_mortem_templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "post_mortem_templates",
    "attributes": {
      "name": "<string>",
      "default": true,
      "content": "<string>",
      "format": "html"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "post_mortem_templates",
    "attributes": {
      "name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "default": true,
      "content": "<string>",
      "content_html": "<string>",
      "content_json": {},
      "format": "html"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

post_mortem_template created with TipTap blocks

data
object
required